# 打包

include:
  - local: .gitlab/ci/common.yml

.package:
  #  when: on_success  # TODO
  when: manual  # 暂改为手动触发，由于单个仓库无需打包流程，整体打包由udcp_fabric项目实现
  dependencies: []

package:
  extends: .package
  stage: package
  tags:
    - ci
  before_script:
    - echo "package before"
    - !reference [.common, before_script]
  script:
    - echo "package"
  after_script:
    - echo "package after"
    - !reference [.failure_notify, after_script]